Skip to main content
GET
List Workflow runs

Authorizations

Authorization
string
header
required

An Admin API key, starting with cas_admin_.

Query Parameters

from
string<date-time>
required

Inclusive start of the range, by creation time, as an ISO 8601 timestamp.

to
string<date-time>
required

Exclusive end of the range as an ISO 8601 timestamp. The range can span at most 31 days.

limit
integer
default:100

Maximum number of records to return.

Required range: 1 <= x <= 1000
cursor
string

The nextCursor from the previous page.

workflowId
string

Only list runs of this Workflow.

userId
string

Only list runs started by this user.

excludeTestRuns
enum<string>
default:false

Exclude test runs from the Workflow builder.

Available options:
true,
false

Response

Successful response

nextCursor
string | null
required

Pass as cursor to get the next page. Null on the last page.

workflowRuns
object[]
required